unit SampleAB;

interface

uses
  {$IFDEF WIN32} Windows, {$ELSE} WinTypes, WinProcs, {$ENDIF}
  Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  HRCommon, HReport, HRLinkC, HRCtrlsC, StdCtrls, DBTables, DB;

type
  TSampleABf = class(TForm)
    HRPage1: THRPage;
    HRGroupBand2: THRGroupBand;
    HRGroup3: THRGroup;
    lbCustNo2: THRLabel;
    txOrderNo: THRDBText;
    lbOrderNo: THRLabel;
    txSaleDate: THRDBText;
    lbSaleDate: THRLabel;
    txCompany: THRDBText;
    lbShipDate: THRLabel;
    HRGroupBandA: THRGroupBand;
    HRGroupBand0: THRGroupBand;
    HRGroup2: THRGroup;
    txCustNo1: THRDBText;
    lbCustNo1: THRLabel;
    clSaleDate: THRCalc;
    clOrderNo1: THRCalc;
    HyperReport1: THyperReport;
    HRGroup1: THRGroup;
    HRGroupBand1: THRGroupBand;
    clCustNo2: THRCalc;
    sOrderByCustomer: TDataSource;
    OrderByCustomer: TQuery;
    FloatField1: TFloatField;
    FloatField2: TFloatField;
    DateTimeField1: TDateTimeField;
    DateTimeField2: TDateTimeField;
    IntegerField1: TIntegerField;
    StringField1: TStringField;
    StringField2: TStringField;
    StringField3: TStringField;
    StringField4: TStringField;
    StringField5: TStringField;
    StringField6: TStringField;
    StringField7: TStringField;
    StringField8: TStringField;
    StringField9: TStringField;
    StringField10: TStringField;
    StringField11: TStringField;
    StringField12: TStringField;
    CurrencyField1: TCurrencyField;
    FloatField3: TFloatField;
    CurrencyField2: TCurrencyField;
    CurrencyField3: TCurrencyField;
    lbOrderNo1: THRLabel;
    OrderByCustomerCompany: TStringField;
    HRPageBand2: THRPageBand;
    HRLabel4: THRLabel;
    HRLabel1: THRLabel;
    procedure lbCustNo2BeforePrint(Sender: THRCustomLabel;
      var Value: String);
    procedure HRGroup3BeforePrint(Sender: THRCustomControl;
      var PrintBand: Boolean);
    procedure HyperReport1NextData(Sender: TObject; var isEOF: Boolean);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  SampleABf: TSampleABf;

implementation

{$R *.DFM}

procedure TSampleABf.lbCustNo2BeforePrint(Sender: THRCustomLabel;
  var Value: String);
begin
  Value := 'ѱ';
end;

procedure TSampleABf.HRGroup3BeforePrint(Sender: THRCustomControl;
  var PrintBand: Boolean);
begin
  with Sender do begin
    Font.Style := [fsBold];
  end;
end;

procedure TSampleABf.HyperReport1NextData(Sender: TObject;
  var isEOF: Boolean);
var
  i: integer;
begin
  with HyperReport1 do begin
    for i:=0 to 10 do begin
      BandPrintBy(HRGroup1);
      BandPrintBy(HRGroup3);
    end;
  end;
  isEOF := True;
end;

end.
